# Duplicate Transaction Settings

Settings to check duplicate credit card transactions through the Quest Gateway.

{% hint style="warning" %}
This is an optional setting.
{% endhint %}

<table data-header-hidden><thead><tr><th width="246"></th><th></th></tr></thead><tbody><tr><td><strong>Time Range in Minutes</strong></td><td>(1 – 60)- time the setting will check for duplicates (not applicable with “use invoice instead of card”)</td></tr><tr><td><strong>If Duplicate Found, Respond with Error</strong></td><td>Payload will either return a 402 if set to true, or return a 200 with the message “Transaction Previously Approved” and previous transaction results if set to false<br>(if using cloud-based device, payload will always return a 200 with the message “Transaction Previously Approved”)</td></tr><tr><td><strong>Include Invoice</strong></td><td>The default is to only use the last four of the cards within the time range. Enable this to search with both the last four and the invoice. If the invoice is not provided, then only the last four of the cards will be used.</td></tr><tr><td><strong>Search at Merchant Level</strong></td><td>Enable this to check all terminals at a merchant level</td></tr><tr><td><strong>Use invoice instead of card</strong></td><td>Enable if you want the system to search using an invoice instead of the last 4 of the card. If the invoice is not provided the last four will be used. There is no time limit if this option is enabled.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/card-response-and-result-codes/duplicate-transaction-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
